steam:macos:build:debug:
    extends:
        - .build:debug
        - .macos:debug
        - .unity:macos:build
    variables:
        UNITY_BUILD_METHOD: MacOSDebug

steam:macos:build:release:
    extends:
        - .build:release
        - .macos:release
        - .unity:macos:build
    variables:
        UNITY_BUILD_METHOD: MacOSRelease

.steam:macos:package:
    variables:
        MATCH_APP_IDENTIFIER: ${FL_APP_IDENTIFIER}
        MATCH_TYPE: developer_id
        GYM_SCHEME: ${FL_PROJECT_NAME}
        GYM_DERIVED_DATA_PATH: ${CI_PROJECT_DIR}/builds/GymDerivedData
        GYM_BUILD_PATH: ${CI_PROJECT_DIR}/GymArchive
        GYM_ARCHIVE_PATH: ${CI_PROJECT_DIR}/GymArchive
        GYM_CONFIGURATION: Release
        GYM_EXPORT_METHOD: developer-id
        GYM_EXPORT_TEAM_ID: ${APPLE_TEAM_ID}
        GYM_XCARGS: "PROVISIONING_PROFILE_SPECIFIER=\"match Direct ${FL_APP_IDENTIFIER} macos\" CODE_SIGN_STYLE=\"Manual\" CODE_SIGN_INJECT_BASE_ENTITLEMENTS=\"NO\" OTHER_CODE_SIGN_FLAGS=\"--timestamp\""
        GYM_CODE_SIGNING_IDENTITY: "${APPLE_DEVELOPER_ID_SIGNING_IDENTITY}"
        GYM_SKIP_PACKAGE_IPA: "true"
        GYM_SKIP_PACKAGE_PKG: "true"
        GYM_BUILDLOG_PATH: ${CI_PROJECT_DIR}/logs
        SUPPRESS_OUTPUT: "true" # Don't spam gitlab log with Xcode
        GYM_OUTPUT_DIRECTORY: ${CI_PROJECT_DIR}/GymExport
        FL_NOTARIZE_BUNDLE_ID: ${FL_APP_IDENTIFIER}
        FL_NOTARIZE_PRINT_LOG: "true"
    script:
        - export GYM_PROJECT=${UNITY_BUILD_PATH}/$(basename $UNITY_BUILD_PATH).xcodeproj # e.g. builds/macos/macos.xcodeproj xcodeproj has name of parent dir
        - export FL_PROJECT_SIGNING_PROJECT_PATH=${GYM_PROJECT}
        - export GYM_OUTPUT_NAME=${PACKAGE_BUILD_NAME}
        - export FL_NOTARIZE_PACKAGE=${GYM_OUTPUT_DIRECTORY}/${PACKAGE_BUILD_NAME}.app
        - echo "Xcode args ${GYM_XCARGS}"
        - cd ${SHARED_CI}
        - bundle exec fastlane mac steam_package
        - mkdir -p ${PACKAGE_BUILD_DIR}
        - mv ${FL_NOTARIZE_PACKAGE} ${PACKAGE_BUILD_PATH}

steam:macos:package:debug:
    extends:
        - .package:debug
        - .steam:macos:package
        - .macos:debug
    needs: ["steam:macos:build:debug"]


steam:macos:package:release:
    extends:
        - .package:release
        - .steam:macos:package
        - .macos:release
    needs: ["steam:macos:build:release"]


.steam:macos:upload:
    variables:
        STEAM_PIPE_DEPOT_ID: ${STEAM_PIPE_DEPOT_MACOS_ID}

steam:macos:upload:debug:
    extends:
        - .upload:debug
        - .macos:debug
        - .steam:upload
        - .steam:macos:upload
    needs: ["steam:macos:package:debug"]


steam:macos:upload:release:
    extends:
        - .upload:release
        - .macos:release
        - .steam:upload
        - .steam:macos:upload
    needs: ["steam:macos:package:release"]
